/**----------------------------------- IMP MENU (siehe Rustika)--------------------------------*/

#menu-wrapper {
    --nav-padding: clamp(10px, 5vw, 50px);
}

a.impmenu-toggle {
    z-index: 99999;
    margin-left: var(--nav-icon-padding-Y);
    left: 0;
    pointer-events: all;
    position: fixed;
    transition: all .5s cubic-bezier(.65, .05, .36, 1) 0s;
    top: var(--nav-icon-padding-X);
    height: var(--nav-icon-height);
    width: var(--nav-icon-height);
    border-radius: 50%;
    background-color: #B2B290;
    display: flex;
    justify-content: center;
    align-items: center;
}

#nav-wrapper {
    width: 100vw;
    height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    transform: scale(0);
    pointer-events: none;
    transition: all .7s cubic-bezier(.46, .03, .52, .96) 0s;
    z-index: 9999;
    clip-path: circle(0% at 50% 50%);
}

#nav-wrapper.impmenu-active {
    transform: scale(1);
    clip-path: circle(70.7% at 50% 50%);
}

#main-nav {
    z-index: 9999;
    transition: all .5s ease 0s;
    --menu-items-padding: 70px;
    padding: 0;
    transition: all .5s ease 0s !important;
    position: fixed;
    left: 0;
    width: 100%;
    height: 100%;
    top: 0;
    pointer-events: all;
}

.menu-col.col-menu-1::after {
    content: '';
    display: block;
    --my-size: clamp(133px, 16vw, 261px);
    width: var(--my-size);
    height: calc(var(--my-size) * 1.045);
    background-image: url(/wp-content/themes/visual-composer-starter-theme-child/img/icon-nav-flower.svg);
    position: absolute;
    right: 30px;
    bottom: 40px;
}

#menu-wrapper {
    height: 100%;
    display: flex;
    align-items: center;
    position: relative;
    justify-content: center;
    flex-direction: column;
    width: 100%;
    overflow: hidden;
    background-color: #A0A077;
}

#menu-wrapper>.menu-col.col-menu-1>div>ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

nav#main-nav li.menu-item a {
    text-decoration: none;
    position: relative;
    color: inherit;
}

#menu-wrapper .menu-item.current-menu-item {
    color: #fff;
}

.sub-menu {
    list-style: none !important;
}

.sub-menu .imp-nav-target {
    color: #fff;
    font-size: 20px;
    font-family: 'Heebo';
    text-transform: uppercase;
    letter-spacing: 0.2em;
    font-weight: 700;
    line-height: 2.75;
}

.menu-col.col-menu-1 {
    width: 100%;
    display: flex;
    height: 100%;
    align-items: center;
    max-width: 100%;
    max-height: 100%;
    position: relative;
    justify-content: center;
}

.menu-hauptmenu-container {
    height: 100%;
}

@media (min-width: 1025px) {
    #menu-hauptmenu {
        height: 100%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        background-color: var(--ast-global-color-7);
    }
    #menu-wrapper>.menu-col.col-menu-1>div>ul {
        transform: translateX(-50%);
    }
    #menu-wrapper ul:not(.sub-menu)>.menu-item {
        padding-right: var(--nav-padding);
    }
    .imp-nav-target {
        justify-content: flex-end;
    }
}

#menu-hauptmenu>.menu-item>a {
    font-family: var(--mainfont);
    font-size: 1.7rem;
    font-weight: 400;
    color: var(--color-2) !important;
    letter-spacing: 0.08em;
    display: flex;
    line-height: 1;
    text-transform: uppercase;
    padding: 0.7em 0;
}

#menu-wrapper ul:not(.sub-menu)>.menu-item>a .imp-nav-target {
    font-size: 37px;
    font-weight: 700;
    font-family: Bovino;
    text-align: right;
    line-height: 2.29;
}

.menu-item.imp-sub-active {
    color: #fff;
}

#menu-hauptmenu>.menu-item.imp-sub-active>.menu-link {
    color: var(--ast-global-color-0) !important;
}

.imp-nav-target {
    display: flex;
    width: 100%;
    z-index: 9;
    align-items: center;
}

.dropdown-menu-toggle.ast-header-navigation-arrow {
    display: none;
}

#menu-wrapper ul.sub-menu {
    overflow: hidden;
    color: #fff;
    display: flex;
    align-items: center;
}

#menu-wrapper ul.sub-menu .menu-item {
    z-index: 99;
    max-height: 0;
    overflow: hidden;
    transition: all .5s cubic-bezier(.46, .03, .52, .96) 0s;
}

#menu-wrapper .imp-sub-active ul.sub-menu .menu-item {
    max-height: 24rem;
    transition-delay: 0.85s;
}

.ast-icon.icon-arrow {
    display: none;
}

#menu-hauptmenu .sub-menu a {
    font-weight: 400;
    color: var(--ast-global-color-4);
    letter-spacing: 0.08em;
    line-height: 2.5;
    font-size: 1.15rem;
}

.sub-menu .current_page_item {
    text-decoration: underline;
}

#menu-wrapper .sub-menu {
    padding-left: var(--nav-padding);
}

.sub-menu .imp-nav-target {
    color: #fff;
    font-size: 17px;
    font-family: 'Roboto';
    text-transform: uppercase;
    letter-spacing: 0.2em;
    font-weight: 500;
    white-space: nowrap;
}

nav#main-nav .sub-menu li.menu-item.current-menu-item>a {
    color: #fff !important;
    z-index: 9;
}

#menu-wrapper ul.sub-menu {
    padding-top: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    z-index: 9;
}

.menu-item.sub-back-btn {
    margin-top: 4.2vh;
}

.menu-item.sub-back-btn span {
    display: flex;
    align-items: center;
}

.menu-item.sub-back-btn span::before {
    content: '';
    display: block;
    height: 1.1em;
    width: calc(1.1em / 2);
    background-image: url(/wp-content/themes/astra-impuls-child/img/nav-arrow.svg);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center center;
    margin-right: 0.6em;
    margin-top: 0em;
    transition: all .5s ease 0s;
    rotate: 180deg;
}


/*----------------- NAV INFO -------------*/

#nav-info {
    position: absolute;
    bottom: 4vh;
}

#nav-info .textwidget {
    display: flex;
    gap: 1em;
}

#nav-info * {
    font-size: 1rem;
    font-family: Roboto;
    font-weight: 400;
    color: #fff;
    margin: 0;
    text-decoration: none;
}


/**animation burger menu*/

#nav-icon3 {
    width: 46%;
    height: 27%;
    position: relative;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: .5s ease-in-out;
    -moz-transition: .5s ease-in-out;
    -o-transition: .5s ease-in-out;
    transition: .5s ease-in-out;
    cursor: pointer;
}

#nav-icon3 span {
    display: block;
    position: absolute;
    height: var(--burger-line-height);
    width: 100%;
    background: #fff;
    border-radius: 13em;
    opacity: 1;
    left: 0;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: .25s ease-in-out;
    -moz-transition: .25s ease-in-out;
    -o-transition: .25s ease-in-out;
    transition: .25s ease-in-out;
}

#nav-icon3 span:nth-child(1) {
    top: 0;
}

#nav-icon3 span:nth-child(2),
#nav-icon3 span:nth-child(3) {
    top: calc(50% - (var(--burger-line-height) / 2));
    right: 0;
    left: unset;
}

#nav-icon3 span:nth-child(4) {
    bottom: 0;
    width: 71%;
}

.impmenu-active #nav-icon3 span:nth-child(1) {
    top: 50%;
    width: 0%;
    left: 50%;
    transform: translateY(50%);
}

.impmenu-active #nav-icon3 span:nth-child(2) {
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -o-transform: rotate(45deg);
    transform: rotate(45deg);
}

.impmenu-active #nav-icon3 span:nth-child(3) {
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
    transform: rotate(-45deg);
}

.impmenu-active #nav-icon3 span:nth-child(4) {
    bottom: 50%;
    transform: translateY(-50%);
    width: 0%;
    left: 50%;
}

@media (min-width: 1920px) {
    /*----------------- ELEMENT -------------*/
    /*----------------- END ELEMENT ---------*/
}

@media (min-width: 1024px) and (max-width: 1600px) {
    /*----------------- ELEMENT -------------*/
    /*----------------- END ELEMENT ---------*/
}

@media (max-width: 1500px) {
    /*----------------- ELEMENT -------------*/
    /*----------------- END ELEMENT ---------*/
}

@media (max-width: 1200px) {
    #nav-info {
        display: none;
    }
}

@media (max-width: 1024px) {
    .menu-hauptmenue-en-container,
    .menu-hauptmenue-container {
        width: 100%;
    }
    .menu-item.imp-sub-active {
        color: inherit;
    }
    .menu-item.current_page_parent {
        background-color: #7a7a5b;
        color: #fff !important;
    }
}

@media (max-width: 990px) {
    /*----------------- ELEMENT -------------*/
    /*----------------- END ELEMENT ---------*/
}

@media (max-width: 768px) {}

@media (max-width: 576px) {
    .menu-col.col-menu-1::after {
        right: 15px;
        bottom: 25px;
    }
}

@media (max-width: 435px) {
    /*----------------- ELEMENT -------------*/
    /*----------------- END ELEMENT ---------*/
}

@media (max-width: 320px) {
    /*----------------- ELEMENT -------------*/
    /*----------------- END ELEMENT ---------*/
}